
/**
 * @file dllmain.h
 *
 * Hlavickovy soubor ke knihovne keyedevent.dll. Zajistuje exportovani jejich funkci.
 */

#ifndef __DLL_MAIN_H_
#define __DLL_MAIN_H_

#include <windows.h>
#include "keyedevent.h"

__declspec(dllexport) HANDLE WINAPI KECreateKeyedEvent(DWORD DesiredAccess, PCWSTR Name);
__declspec(dllexport) HANDLE WINAPI KEOpenKeyedEvent(DWORD DesiredAccess, PCWSTR Name);
__declspec(dllexport) DWORD WINAPI KEReleaseKeyedEvent(HANDLE KeyedEvent, PVOID Key, BOOL Alertable, PLARGE_INTEGER Timeout);
__declspec(dllexport) DWORD WINAPI KEWaitForKeyedEvent(HANDLE KeyedEvent, PVOID Key, BOOL Alertable, PLARGE_INTEGER Timeout);


#endif
